{% extends 'base.html.twig' %}

{% block body %}
<div class="container mt-4">
    {% if not app.user %}
        <div class="alert alert-warning" role="alert">
            <p>Non connecté</p>
        </div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            <a href="{{ path('app_logout') }}" class="btn btn-danger btn-sm">Déconnexion</a>
            <a href="{{ path('edit_user', {'id': app.user.id}) }}" class="btn btn-primary btn-sm">Modifier Mon Profil</a>
            {% if is_granted('ROLE_ADMIN') %}
                <a href="{{ path('admin_user_list') }}" class="btn btn-secondary btn-sm">Administration</a>
            {% endif %}
        </div>
    {% endif %}

    <div class="mb-3">
        <a href="{{ path('app_login') }}" class="btn btn-success btn-sm">Connexion</a>
        <a href="{{ path('app_register') }}" class="btn btn-info btn-sm">Inscription</a>
    </div>

    <h2>Auteurs</h2>
    <ul class="list-group mb-4">
        {% for auteur in auteurs %}
            <li class="list-group-item d-flex justify-content-between align-items-center">
                <strong>nom de l'auteur:</strong> {{ auteur.nom }}
                <span>
                    <a href="{{ path('edit_auteur', {'id': auteur.id}) }}" class="btn btn-outline-primary btn-sm">Modifier</a>
                    <a href="{{ path('delete_auteur', {'id': auteur.id}) }}" class="btn btn-outline-danger btn-sm">Supprimer</a>
                </span>
            </li>
        {% endfor %}
    </ul>

    {{ form_start(form, {'attr': {'class': 'mb-4'}}) }}
    {{ form_widget(form, {'attr': {'class': 'form-group'}}) }}
    <button type="submit" class="btn btn-primary">Ajouter Auteur</button>
    {{ form_end(form) }}

    <h2>Articles</h2>
    <ul class="list-group mb-4">
        {% for article in articles %}
            <li class="list-group-item"><strong>titre article:</strong> {{ article.titre }} - <strong>nom auteur de l'article:</strong> {{ article.auteur.nom }}</li>
        {% endfor %}
    </ul>

    <h2>Tags</h2>
    <ul class="list-group mb-4">
        {% for tag in tags %}
            <li class="list-group-item"><strong>nom du tag:</strong> {{ tag.nom }}</li>
        {% endfor %}
    </ul>
</div>
{% endblock %}
